# $Revision: 1.5 $, $Date: 2004/05/06 18:43:23 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires working $DISPLAY)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tk
%define		pnam	HistEntry
Summary:	Tk::HistEntry Perl module - entry widget with history capability
Summary(pl):	Modu Perla Tk::HistEntry - widget wprowadzania z obsug historii
Name:		perl-Tk-HistEntry
Version:	0.42
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9ee4c3e5469d262cbd18062a4c26495f
BuildRequires:	perl-Tk
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tk::HistEntry defines entry widgets with history capabilities. The
widgets come in two flavours: HistEntry (Tk::HistEntry::Browse) with
associated browse entry and SimpleHistEntry (Tk::HistEntry::Simple) -
plain widget without browse entry. The user may browse with the Up and
Down keys through the history list. New history entries may be added
either manually by binding the Return key to historyAdd() or
automatically by setting the -command option.

%description -l pl
Klasa Tk::HistEntry definiuje podstawowe widgety do wprowadzania
tekstu z obsug historii. Widgety s dostpne w dwch rodzajach:
HistEntry (Tk::HistEntry::Browse) z powizanym przegldaniem oraz
SimpleHistEntry (Tk::HistEntry::Simple) bez przegldania. Uytkownik
moe przeglda list historii klawiszami Gra i D. Nowe elementy
historii mog by dodawane rcznie przez podpicie klawisza Return do
historyAdd() lub automatycznie przez ustawienie opcji -command.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/Tk/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tk-HistEntry.spec,v $
Revision 1.5  2004/05/06 18:43:23  ankry
- fixed perl-devel BR

Revision 1.4  2004/05/03 21:36:02  ankry
- licence fix

Revision 1.3  2003/11/01 18:51:29  qboosh
- updated to 0.42, new-style bcond, License is known now

Revision 1.2  2003/08/27 15:14:19  qboosh
- finished spec

Revision 1.1  2003/08/27 11:54:51  zagrodzki
- Q&D, but works
